Bug 458162 - RFE: Alphabetical order to user names
RFE: Alphabetical order to user names
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
13
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 15:45 EDT by Ray Todd Stevens
Modified: 2011-06-27 09:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:59:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Todd Stevens 2008-08-06 15:45:04 EDT
As long as we are going to insist on placing all of the user names on the screen, has anyone thought of putting them in alphabetical order.  Right now the order is in and of itself a very minor security issue.   The users are in the order created, which means that the top users in the list are almost always the superusers who manage the system.  This might not be good information to be giving out to people.
Comment 1 jmccann 2008-08-06 16:17:58 EDT
They are listed in order of login frequency (more frequent = higher).
Comment 2 Ray Todd Stevens 2008-08-06 19:21:41 EDT
Interesting.   I will have to check this, but I have to wonder if this is still not at times useful information.

Frankly I don't want any names there at all.   I want someone logging in to have to know the user id.    But certainly you don't want people to be able to devine which user ids to try and break from the list.
Comment 3 Ray Todd Stevens 2008-08-12 19:09:32 EDT
I can definitely live with the future feature thing.   Just trying to make the product better.
Comment 4 Bug Zapper 2009-06-09 22:23:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ray Todd Stevens 2009-06-09 23:20:29 EDT
Problem still in fc11.

We need the old gdm back.
Comment 6 Joachim Frieben 2009-09-15 03:32:06 EDT
For current F12-rawhide, users appear in alphabetical order. Before, the last or most frequent user was placed as the first one and highlighted by default which allowed to select it by merely hitting <ENTER> and enter the password hereafter.
Now, one has to use mouse or arrow keys first to pick the user which wants to log in. Very annoying!
Comment 7 Ray Todd Stevens 2009-09-15 09:18:54 EDT
It might be a bit more annoying, but it also is MUCH MORE secure.

Of course the real fix would be to bring back the ability to program how gdm works, and to allow some people to have the user list, while others had the two blanks for user and password.   Defaulting to the user list would be certainly very acceptable.   The real problem here is the massive loss of functionality in the upgrade of gdm.

When are we going to have a programmable gdm back again?????
Comment 8 Joachim Frieben 2009-09-15 12:00:50 EDT
(In reply to comment #7)
> It might be a bit more annoying, but it also is MUCH MORE secure.

Why would this be more secure? Standard Fedora setup does not even know sudo users - there are -NO- superusers except root. You have root and only root, and that one has nothing to do with whoever using the system more often from :0 than some other user.
Comment 9 Ray Todd Stevens 2009-09-15 12:24:07 EDT
For work stations you might be right.   For servers, the problem is that generally you setup the as you said sudo users, and/or wheel users where wheel users are the only users who can su to root.  Also the administrative users usually have files in their directories that give lots of security information.   So you never want an outsider to know who the administrative users are.   And the reality is that users who log in at the console of a server especially regularly are the system administrators, therefore the best targets for gaining full access to the system.   This is a piece of information that you don't want a hacker to have.  

I even make it a point to assign administrators user id numbers manually and make them up higher, as the normal start with 500 assigning method means that 500 is inevitably an administrator, and the first few are almost always administrators.
Comment 10 Christopher Beland 2010-02-23 01:20:59 EST
This request contradicts the one in bug 531331.
Comment 11 Frantisek Hanzlik 2010-08-29 05:26:39 EDT
IMO this request mainly means that present (2.30.x) GDM ability to custom configuration is unsuitable. And still lacks features which were in 2.20- versions from George Lebl three years ago.
Comment 12 Ray Todd Stevens 2010-08-31 00:06:56 EDT
Yes this is very very true.

It sure seems like GDM has become an orphaned product with greatly reduced functionality from its hay day.   Eventually we will need to start looking at other options as this one appears to be dead in the water, and very nonfunctional.
Comment 13 Bug Zapper 2010-11-04 07:49:24 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Ray Todd Stevens 2010-11-04 09:21:57 EDT
This is still definately an issue, like about all of the problems with gdm
Comment 15 Bug Zapper 2011-06-02 14:29:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora Admin XMLRPC Client 2011-06-21 11:38:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2011-06-21 11:39:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora Admin XMLRPC Client 2011-06-21 11:41:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora Admin XMLRPC Client 2011-06-21 11:44:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 Fedora Admin XMLRPC Client 2011-06-21 11:54:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora Admin XMLRPC Client 2011-06-21 11:57:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Fedora Admin XMLRPC Client 2011-06-21 12:00:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 23 Fedora Admin XMLRPC Client 2011-06-21 12:01:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Bug Zapper 2011-06-27 09:59:32 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.